Page MenuHomePhabricator

Adding some more flakey tests to the XFAIL list
ClosedPublic

Authored by vharron on Jun 19 2015, 5:56 PM.

Details

Summary

See comments for rationale

Diff Detail

Event Timeline

vharron updated this revision to Diff 28064.Jun 19 2015, 5:56 PM
vharron retitled this revision from to Adding some more flakey tests to the XFAIL list.
vharron updated this object.
vharron edited the test plan for this revision. (Show Details)
vharron added reviewers: chying, clayborg.
vharron added a subscriber: Unknown Object (MLST).
ki.stfu accepted this revision.Jun 21 2015, 11:34 PM
ki.stfu edited edge metadata.

Where are snapshots of these builds? Can I get the log?

This revision is now accepted and ready to land.Jun 21 2015, 11:34 PM

Logs sent directly to Ilia

clayborg accepted this revision.Jun 22 2015, 11:18 AM
clayborg edited edge metadata.

It would be great to try and fix these intermittent failures and see what the root cause it. Fine to expected fail them for now. Might be interesting to come up with a way to retry intermittent fails when running with dosep.py. We could make a "@expectedFailRetry" for the test cases that fail intermittently and if they fail we retry them at the end by running them individually. At least this way we would know which tests are the intermittent fails versus the always expected fails.

ki.stfu closed this revision.Jun 22 2015, 2:08 PM

Committed in r240327.